Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1490094 - downloads files used in building using http links
Summary: downloads files used in building using http links
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: xen
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Michael Young
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-10 07:51 UTC by Sami Farin
Modified: 2018-12-25 13:53 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-25 13:53:04 UTC
Type: Bug


Attachments (Terms of Use)

Description Sami Farin 2017-09-10 07:51:26 UTC
Description of problem:
/usr/bin/wget -c -O tpm_emulator-0.7.4.tar.gz http://xenbits.xen.org/xen-extfiles/tpm_emulator-0.7.4.tar.gz
--2017-09-09 18:46:24--  http://xenbits.xen.org/xen-extfiles/tpm_emulator-0.7.4.tar.gz
Connecting to 127.0.0.1:3128... failed: Connection refused.

makefile then extracts the file and attempts to build it.

Version-Release number of selected component (if applicable):
4.8.2 fc26

How reproducible:
100%

Steps to Reproduce:
1. rebuild rpm
2.
3.

Actual results:
build system compromise?

Expected results:
maybe include needed files in src.rpm or use https?

Additional info:

Comment 1 Robin Lee 2017-10-05 18:11:06 UTC
No such output during build of xen-4.8.1-2.fc26 with mock on Fedora 26.
Also refer to: https://koji.fedoraproject.org/koji/buildinfo?buildID=969729

Comment 2 Sami Farin 2018-12-24 14:13:12 UTC
this with 4.11.1.

make[2]: Leaving directory '/usr/src/redhat/BUILD/xen-4.11.1/extras/mini-os/arch/x86'
gcc -E -D__ASSEMBLY__ -m64 -DCONFIG_PARAVIRT -DCONFIG_START_NETWORK -DCONFIG_SPARSE_BSS -DCONFIG_BALLOON -D__XEN_INTERFACE_VERSION__=__XEN_LATEST_INTERFACE_VERSION__ -P arch/x86/minios-x86.lds.S -o /usr/src/redhat/BUILD/xen-4.11.1/stubdom/mini-os-x86_64-xenstore/arch/x86/minios-x86_64.lds
ld -r -nostdlib -L/usr/src/redhat/BUILD/xen-4.11.1/stubdom/cross-root-x86_64/x86_64-xen-elf/lib  -m elf_x86_64 /usr/src/redhat/BUILD/xen-4.11.1/stubdom/mini-os-x86_64-xenstore/arch/x86/x86_64.o /usr/src/redhat/BUILD/xen-4.11.1/stubdom/mini-os-x86_64-xenstore/mini-os_app.o  /usr/src/redhat/BUILD/xen-4.11.1/stubdom/mini-os-x86_64-xenstore/events.o /usr/src/redhat/BUILD/xen-4.11.1/stubdom/mini-os-x86_64-xenstore/gntmap.o /usr/src/redhat/BUILD/xen-4.11.1/stubdom/mini-os-x86_64-xenstore/gnttab.o /usr/src/redhat/BUILD/xen-4.11.1/stubdom/mini-os-x86_64-xenstore/hypervisor.o /usr/src/redhat/BUILD/xen-4.11.1/stubdom/mini-os-x86_64-xenstore/kernel.o /usr/src/redhat/BUILD/xen-4.11.1/stubdom/mini-os-x86_64-xenstore/lock.o /usr/src/redhat/BUILD/xen-4.11.1/stubdom/mini-os-x86_64-xenstore/main.o /usr/src/redhat/BUILD/xen-4.11.1/stubdom/mini-os-x86_64-xenstore/mm.o /usr/src/redhat/BUILD/xen-4.11.1/stubdom/mini-os-x86_64-xenstore/sched.o /usr/src/redhat/BUILD/xen-4.11.1/stubdom/mini-os-x86_64-xenstore/balloon.o /usr/src/redhat/BUILD/xen-4.11.1/stubdom/mini-os-x86_64-xenstore/lib/ctype.o /usr/src/redhat/BUILD/xen-4.11.1/stubdom/mini-os-x86_64-xenstore/lib/math.o /usr/src/redhat/BUILD/xen-4.11.1/stubdom/mini-os-x86_64-xenstore/lib/printf.o /usr/src/redhat/BUILD/xen-4.11.1/stubdom/mini-os-x86_64-xenstore/lib/stack_chk_fail.o /usr/src/redhat/BUILD/xen-4.11.1/stubdom/mini-os-x86_64-xenstore/lib/string.o /usr/src/redhat/BUILD/xen-4.11.1/stubdom/mini-os-x86_64-xenstore/lib/sys.o /usr/src/redhat/BUILD/xen-4.11.1/stubdom/mini-os-x86_64-xenstore/lib/xmalloc.o /usr/src/redhat/BUILD/xen-4.11.1/stubdom/mini-os-x86_64-xenstore/console/console.o /usr/src/redhat/BUILD/xen-4.11.1/stubdom/mini-os-x86_64-xenstore/console/xencons_ring.o -L/usr/src/redhat/BUILD/xen-4.11.1/stubdom/mini-os-x86_64-xenstore/arch/x86 -lx86_64  -lc -o /usr/src/redhat/BUILD/xen-4.11.1/stubdom/mini-os-x86_64-xenstore/mini-os.o
objcopy -w -G xenos_* -G _start /usr/src/redhat/BUILD/xen-4.11.1/stubdom/mini-os-x86_64-xenstore/mini-os.o /usr/src/redhat/BUILD/xen-4.11.1/stubdom/mini-os-x86_64-xenstore/mini-os.o
ld -nostdlib -L/usr/src/redhat/BUILD/xen-4.11.1/stubdom/cross-root-x86_64/x86_64-xen-elf/lib  -m elf_x86_64 -T /usr/src/redhat/BUILD/xen-4.11.1/stubdom/mini-os-x86_64-xenstore/arch/x86/minios-x86_64.lds  /usr/src/redhat/BUILD/xen-4.11.1/stubdom/mini-os-x86_64-xenstore/mini-os.o  -o /usr/src/redhat/BUILD/xen-4.11.1/stubdom/mini-os-x86_64-xenstore/mini-os
gzip -n -f -9 -c /usr/src/redhat/BUILD/xen-4.11.1/stubdom/mini-os-x86_64-xenstore/mini-os >/usr/src/redhat/BUILD/xen-4.11.1/stubdom/mini-os-x86_64-xenstore/mini-os.gz
make[1]: Leaving directory '/usr/src/redhat/BUILD/xen-4.11.1/extras/mini-os'
[ -d mini-os-x86_64-vtpm ] || \
for i in $(cd /usr/src/redhat/BUILD/xen-4.11.1/stubdom/../extras/mini-os ; find . -type d) ; do \
                mkdir -p mini-os-x86_64-vtpm/$i ; \
done
/usr/bin/wget -c -O tpm_emulator-0.7.4.tar.gz http://xenbits.xen.org/xen-extfiles/tpm_emulator-0.7.4.tar.gz
--2018-12-24 14:59:10--  http://xenbits.xen.org/xen-extfiles/tpm_emulator-0.7.4.tar.gz
Connecting to 127.0.0.1:3128... failed: Connection refused.
make: *** [Makefile:218: tpm_emulator-0.7.4.tar.gz] Error 4
make: Leaving directory '/usr/src/redhat/BUILD/xen-4.11.1/stubdom'

/usr/src/redhat/BUILD/xen-4.11.1]$ grep FETCHER config/Stubdom.mk
FETCHER             := /usr/bin/wget -c -O
$ grep -C3 tpm_emulator- stubdom/Makefile 
#############
# cross-tpmemu
#############
tpm_emulator-$(TPMEMU_VERSION).tar.gz:
	$(FETCHER) $@ $(TPMEMU_URL)/$@

tpm_emulator-$(XEN_TARGET_ARCH): tpm_emulator-$(TPMEMU_VERSION).tar.gz
	@if [ ! -f "$(CMAKE)" ]; then echo "cmake not installed! Install it and then rerun ./configure!"; false; fi
	tar xzf $<
	mv tpm_emulator-$(TPMEMU_VERSION) $@
	patch -d $@ -p1 < tpmemu-$(TPMEMU_VERSION).patch;
	patch -d $@ -p1 < vtpm-bufsize.patch
	patch -d $@ -p1 < vtpm-locality.patch
--
	touch $@

TPMEMU_STAMPFILE=$(CROSS_ROOT)/$(GNU_TARGET_ARCH)-xen-elf/lib/libtpm.a
$(TPMEMU_STAMPFILE): tpm_emulator-$(XEN_TARGET_ARCH) $(GMP_STAMPFILE)
	( cd $</build && make VERBOSE=1 tpm_crypto tpm  )
	cp $</build/crypto/libtpm_crypto.a $(CROSS_ROOT)/$(GNU_TARGET_ARCH)-xen-elf/lib/libtpm_crypto.a
	cp $</build/tpm/libtpm.a $(TPMEMU_STAMPFILE)
--
	rm -fr gmp-$(XEN_TARGET_ARCH)
	rm -fr polarssl-$(XEN_TARGET_ARCH)
	rm -fr openssl-$(XEN_TARGET_ARCH)
	rm -fr tpm_emulator-$(XEN_TARGET_ARCH)
	rm -f mk-headers-$(XEN_TARGET_ARCH)
	rm -fr ocaml-$(XEN_TARGET_ARCH)
	rm -fr include
--
	rm -fr gmp-$(XEN_TARGET_ARCH)
	rm -fr polarssl-$(XEN_TARGET_ARCH)
	rm -fr openssl-$(XEN_TARGET_ARCH)
	rm -fr tpm_emulator-$(XEN_TARGET_ARCH)
	rm -fr lwip-$(XEN_TARGET_ARCH)
	rm -fr grub-upstream

--
	rm -f newlib-$(NEWLIB_VERSION).tar.gz
	rm -f zlib-$(ZLIB_VERSION).tar.gz
	rm -f gmp-$(GMP_VERSION).tar.bz2
	rm -f tpm_emulator-$(TPMEMU_VERSION).tar.gz
	rm -f pciutils-$(LIBPCI_VERSION).tar.bz2
	rm -f grub-$(GRUB_VERSION).tar.gz
	rm -f lwip-$(LWIP_VERSION).tar.gz

Comment 3 Michael Young 2018-12-24 15:05:27 UTC
Xen builds may enable extra features depending on what packages you have installed which may result in attempted downloads. The fedora packages of xen do build successfully (for me at least) in the standardize environment of a mock build and the package includes everything that xen would otherwise attempt to download in that setup, but if you build it elsewhere you might have to modify the packaging.

Incidentally, this bug is for Fedora 26 which is no longer supported, so if you want this bug to stay open you should reproduce your issue in for a supported version of Fedora, then update the Fedora version in the bug.

Comment 4 Sami Farin 2018-12-25 11:22:13 UTC
What Fedora 28 package contains tpm_emulator, so XEN build process does not need to download it?

Comment 5 Robin Lee 2018-12-25 13:53:04 UTC
Xen in Fedora does not enable the stubdom that needs tpm_emulator. So the build in Fedora does not need to download it.


Note You need to log in before you can comment on or make changes to this bug.